require 'pritch/no_data_exception'
require 'pritch/persistence'
require 'colorize'

module Pritch
  def self.leave
    puts "What did you just do?".yellow
    print " > ".blue
    did = gets

	puts
    puts "What's the next thing to do?".yellow
    print " > ".blue
    todo = gets
    
    Pritch::Persistence.save(did, todo)
  end

  def self.re
    begin
      did, todo = Pritch::Persistence.load
    rescue NoDataException => e
      puts "No information available. You should use #{'`leave`'.light_white} the next time you stop working on that project."
      puts
      exit
    end

    puts "What you did before you left:".yellow
    puts
    puts "  #{did}".light_white
    puts
    puts "Next thing you should do:".yellow
    puts
    puts "  #{todo}".light_white
    puts
  end
end
