require 'pritch/no_data_exception'

module Pritch
  class Persistence
    class << self
      public def save(did, todo)
        file = File.open('.pritch', 'w')
        file.write(did + "\n-\n" + todo)
        file.close
      end

      public def load
        raise NoDataException unless File.exists?('.pritch')
        file = File.open('.pritch', 'r')
        content = file.read.split("\n-\n")
        file.close
        File.delete('.pritch') 
        content
      end
    end
  end
end
